Skip to content

List cookings

GET
/api/v1/recipes/{id}/cookings
curl --request GET \
--url 'http://127.0.0.1:8080/api/v1/recipes/example/cookings?limit=50&offset=0' \
--header 'Authorization: Bearer <token>'

Returns the remembered cookings, most recent first, with the count and most recent date derived from them.

id
required
string
limit

Maximum number of cookings to return

integer format: int64
default: 50 >= 1 <= 200

Maximum number of cookings to return

offset

Number of cookings to skip

integer format: int64
0

Number of cookings to skip

OK

Media typeapplication/json
object
imported_baselines
Array<object> | null
object
count
required
integer format: int64
source
required
string
source_key
required
string
key
additional properties
any
items
required
Array<object> | null
object
cooked_on
required
string format: date
cooked_time
string
created_at
required
string format: date-time
id
required
string
note
string
<= 10000 characters
scale

Batch actually made, as a factor of the recipe as written

string
<= 128 characters /^([1-9][0-9]*|[1-9][0-9]*/[1-9][0-9]*)$/
session_id
string
key
additional properties
any
last_cooked
string format: date
library_entry_id
required
string
times_cooked
required
integer format: int64
key
additional properties
any
Examplegenerated
{
"imported_baselines": [
{
"count": 1,
"source": "example",
"source_key": "example"
}
],
"items": [
{
"cooked_on": "2026-04-15",
"cooked_time": "example",
"created_at": "2026-04-15T12:00:00Z",
"id": "example",
"note": "example",
"scale": "example",
"session_id": "example"
}
],
"last_cooked": "2026-04-15",
"library_entry_id": "example",
"times_cooked": 1
}

No valid session or API token (authentication-required), or the credential sent is invalid (invalid-credentials).

Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer format: int64
title
required
string
type
required
string
key
additional properties
any
Examplegenerated
{
"code": "example",
"detail": "example",
"status": 1,
"title": "example",
"type": "example"
}

Not Found

Media typeapplication/problem+json
object
code

Stable application error code; clients may also use the problem type suffix.

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

key
additional properties
any
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
params

Structured context for the stable error code.

object
key
additional properties
any
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank
violations
Array<object>
object
code
required
string
location
required
string
params
object
key
additional properties
any
key
additional properties
any
Example
{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}

Unprocessable Entity

Media typeapplication/problem+json
object
code

Stable application error code; clients may also use the problem type suffix.

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

key
additional properties
any
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
params

Structured context for the stable error code.

object
key
additional properties
any
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank
violations
Array<object>
object
code
required
string
location
required
string
params
object
key
additional properties
any
key
additional properties
any
Example
{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}

Internal Server Error

Media typeapplication/problem+json
object
code

Stable application error code; clients may also use the problem type suffix.

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

key
additional properties
any
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
params

Structured context for the stable error code.

object
key
additional properties
any
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank
violations
Array<object>
object
code
required
string
location
required
string
params
object
key
additional properties
any
key
additional properties
any
Example
{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}